[HOW-TO]Update MT-Card 2.3 to latest 10.1 emunand with eshop access!

Discussion in '3DS - Tutorials' started by telon22, Sep 25, 2015.

  1. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
    I know how dead mt-card is right now. I own both gateway and mt-cards & I love my gateway but I also love how mt-card saves games. Originally mt-card 2.3(latest official update) supports only upto 9.4 emunand,but here's how you can update it further to 10.1 with eshop acess.
    Original idea goes to Trexxprin at iso site,I am just simplifying the process.

    1) Turn off your 3ds Wifi & update your MT-Card launcher.dat to 2.3.
    2) Now boot by pressing L and then executing exploit to open MT-Card menu. Here format your emunand(Warning this will format your sd-card). You should now be left with a 4.x emunand.
    3) Backup this emunand with emunand tool just in case.
    4) Now with 3dnus download 9.4 & 10.1 official update files.

    5) Now look for these 4 titiles in 9.4 folder 000400300000CE02,0004003000008F02,0004001000021000,0004001000021900 for US
    0004003000009802,0004001000022900,000400300000D602,0004001000022000 for EUR

    6) move these 4 titles out of 9.4 update folder & delete these 4 titles from 10.1 folder (if any).
    7) With this done move the 10.1 folder to your 3ds sd card and install all the cias in it with Devmenu with L+R+A to install all cias. Reboot and again backup emunand just in case. You should now have 10.1 emunand in MT-card. make sure your wifi is still off.
    8) But hold on we still need eshop acess since out of these 4 titles 2 belong to eshop.
    9) We now need to spoof these 4 titles version no's to 10.1 so that system update skips them, as these 4 titles cause seems to cause issue for mt-card emunand support higher than 9.4.
    10) Now spoof this 4 titles (according to your 3ds region) to a title version like 10.1 or higher. I used 10.1 btw from here http://yls8.mtheall.com/ninupdates/titlelist.php?sys=ctr&wiki=1
    11)After spoofing the version install the 4 spoofed cias in 10.1 emunand with devmenu. Check for system updates and there should be none and eshop should work now.
    If this didnt work you for you did something wrong. Restore your 10.1 emunand with emunand tool we backed up earlier and try again.


    How to spoof the cia version?
    In this case I am taking example of 0004001000021000.cia[US].
    http://yls8.mtheall.com/ninupdates/titlelist.php?sys=ctr&wiki=1 shows that we have v8203 from 9.0 update and we need to spoof it to atleast v9221(or more if you wish) which was in 9.6 update.
    Open hxd and look for offset 00002F90 and then 0C-0D have your version no in hexadecimal. convert it decimal with this. In our case it is 20 0B with means 8203 in decimal and now again use decimal to hex to convert v9221 to hex which is 24 05 in hex. Now just overwrite 20 0B with 24 05 and save.
    This completes the spoofing of version. Just repeat the steps for different cias

    Alternatively you can also use 3dsnus for spoofing but I prefer the manual way.


    Oh here's some proof of concept:
    https://imgur.com/a/DpRHZ
     
    Last edited by telon22, Oct 20, 2015


  2. Abcdfv

    Abcdfv What comes around goes around.

    Member
    1,444
    588
    Dec 24, 2013
    United States
    To think i almost bought an MT-Card. Glad to see it's still getting some love.
     
    Margen67 and telon22 like this.
  3. tofast4u

    tofast4u GBAtemp Fan

    Member
    435
    61
    Dec 2, 2012
    United States
    Am I supposed to do this process now whenever Nintendo creates another update?
     
  4. xalphax

    xalphax Internet killed the Ponystar.

    Member
    1,270
    14
    Nov 18, 2006
    Croatia
    here'n'there
    If this works, I love you!
     
  5. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
    Yeah basically you need to spoof those 4 files to 10.2(say for next update) or higher accordingly that's all for now. If anything doesn't work in future I'll report that.

    @xalphax It really did :)
     
    Last edited by telon22, Sep 28, 2015
  6. xalphax

    xalphax Internet killed the Ponystar.

    Member
    1,270
    14
    Nov 18, 2006
    Croatia
    here'n'there
    When I try to download 9.4.0-21 EUR via 3DNUS it's hanging on "Downloading 0004013800000002 v18182" tried it over 10 times, never finishes.

    Can someone upload me the update files?

    Thanks in advance!
     
  7. xalphax

    xalphax Internet killed the Ponystar.

    Member
    1,270
    14
    Nov 18, 2006
    Croatia
    here'n'there
    It worked up until point

    11)After spoofing the version install the 4 spoofed cias in 10.1 emunand with BBM. Check for system updates and there should be none and eshop should work now.

    When I try to install the spoofed CIAs, it tells me the "program already exists" and skips the install
     
  8. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
    ok so tell me when you installed the 9.4 package you removed those 4 titles from the 9.4 package right?
     
  9. xalphax

    xalphax Internet killed the Ponystar.

    Member
    1,270
    14
    Nov 18, 2006
    Croatia
    here'n'there
    I followed your guide meticulously, yes.
     
  10. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
    This shouldn't have happened. Since we are installing new versions of those titles not overwriting them. hmm you can use fbi to install them.
    fbi will uninstall them first and then you can click A again to install them. The problem with this method is the two other titles except the eshop ones don't install properly and result in black screen emunand. Backup your emunand and test maybe it would work.
    If still you get an error please double check every step,restore your 4.5 backup and try again.
     
  11. xalphax

    xalphax Internet killed the Ponystar.

    Member
    1,270
    14
    Nov 18, 2006
    Croatia
    here'n'there
    I made a stupid mistake, everything works now, thanks again and sorry if I caused you much head-scratching.
     
    telon22 likes this.
  12. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
    No problem. Glad it worked :)
     
  13. sanjhype

    sanjhype Member

    Newcomer
    10
    0
    Nov 26, 2010
    sheffield
    hello,
    want to update to 10.1 eur emunand,problem is don't know how to spoof those 4 files,or if some 1 could simplify the spoofing method ,any body share those spoofed files link eur version 9.4.0-21,
    any help really appreciated.
    thank you
     
  14. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
    Hi, the process is mentioned at the bottom of the post. The whole point to do it yourself is that you wont have to depend on anyone for the files :)
    You just need HxD http://mh-nexus.de/en/downloads.php?product=HxD to do the process. Run it as admin and follow the guide.
    I will add some screenshots soon.
     
  15. sanjhype

    sanjhype Member

    Newcomer
    10
    0
    Nov 26, 2010
    sheffield
    thank you for the reply,please add some screen shots asap or an easy to follow guide.
    thank you.
     
  16. orcus

    orcus Newbie

    Newcomer
    4
    0
    Feb 17, 2013
    Bankstown, New South Wales
    I am wondering if this same idea, or a variation of, could let us get eshop access with n3DS gateway emunand, since atm those of us with n3DS cannot run emunand 10.1
     
  17. Vindicator

    Vindicator Newbie

    Newcomer
    6
    0
    Aug 20, 2014
    Serbia, Republic of
    @telon22
    You, sir, are the MAN, thank you for the guide! I recall what a nightmare it was to update emunand on my mt-card, I don't even remember how I did it. Now I have this awesome walkthrough.
     
  18. crstofer

    crstofer Member

    Newcomer
    11
    2
    May 31, 2007
    United States
    Can u provide a link to the "official" 10.1 update ? The highest I've seen is 9.9.026U ! PLEASE & THANKS !
     
  19. telon22
    OP

    telon22 GBAtemp Regular

    Member
    282
    69
    Jun 28, 2014
    India
  20. coopershels

    coopershels Member

    Newcomer
    25
    1
    May 2, 2014
    Thanks, great step by step guide.

    I have it working with most titles but Zelda Triforce heroes. The spoof code for 0004001000022000 only seems to go to 9.6 and Zelda needs 9.9. Is there anywhere else I can get a more up to date code to spoof this cia.

    Thanks